package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;
import com.goafanti.order.enums.NewProjectStatus;

public class managerListBo {
	@Excel(name = "项目编号")
	private String id;
	@Excel(name = "派单时间")
	private String taskDistributionTime;
	@Excel(name = "派单省份")
	private String provinceName;
	@Excel(name = "订单部门")
	private String depName;
	@Excel(name = "营销员")
	private String salesmanName;
	@Excel(name = "合同编号")
	private String contractNo;
	@Excel(name = "订单编号")
	private String orderNo;
	@Excel(name = "签单客户")
	private String UserName;
	@Excel(name = "项目类型")
	private String cname;
	@Excel(name = "项目名称")
	private String commodityName;
	@Excel(name = "数量")
	private String commodityQuantity;
	@Excel(name = "负责部门")
	private String techDepName;
	@Excel(name = "咨询师/咨询师经理")
	private String techName;
	@Excel(name = "项目状态")
	private String projectStatusName;
	private String projectStatus;
	@Excel(name = "项目金额")
	private String commodityPrice;
	@Excel(name = "特批说明")
	private String specialComment;
	@Excel(name = "特批",readConverterExp = "0=非特批，1=特批待审核，2=特批通过，3=特批驳回，4=董事长特批待审核，5=董事长特批通过，6董事长特批驳回")
	private Integer approval;
	@Excel(name = "特批类型")
	private String type;
	private String typeExplain;

	public Integer getApproval() {
		return approval;
	}

	public void setApproval(Integer approval) {
		this.approval = approval;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTypeExplain() {
		return typeExplain;
	}

	public void setTypeExplain(String typeExplain) {
		this.typeExplain = typeExplain;
	}

	public String getProjectStatusName() {
		return projectStatusName;
	}

	public void setProjectStatusName(String projectStatusName) {
		this.projectStatusName = projectStatusName;
	}


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTaskDistributionTime() {
		return taskDistributionTime;
	}

	public void setTaskDistributionTime(String taskDistributionTime) {
		this.taskDistributionTime = taskDistributionTime;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getDepName() {
		return depName;
	}

	public void setDepName(String depName) {
		this.depName = depName;
	}

	public String getSalesmanName() {
		return salesmanName;
	}

	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}

	public String getContractNo() {
		return contractNo;
	}

	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getUserName() {
		return UserName;
	}

	public void setUserName(String userName) {
		UserName = userName;
	}

	public String getCname() {
		return cname;
	}

	public void setCname(String cname) {
		this.cname = cname;
	}

	public String getCommodityName() {
		return commodityName;
	}

	public void setCommodityName(String commodityName) {
		this.commodityName = commodityName;
	}

	public String getCommodityQuantity() {
		return commodityQuantity;
	}

	public void setCommodityQuantity(String commodityQuantity) {
		this.commodityQuantity = commodityQuantity;
	}

	public String getTechDepName() {
		return techDepName;
	}

	public void setTechDepName(String techDepName) {
		this.techDepName = techDepName;
	}

	public String getTechName() {
		return techName;
	}

	public void setTechName(String techName) {
		this.techName = techName;
	}

	public String getProjectStatus() {
		return projectStatus;
	}

	public void setProjectStatus(String projectStatus) {
		this.projectStatus = projectStatus;
		this.projectStatusName=NewProjectStatus.getValueByCode(Integer.valueOf(projectStatus));
	}

	public String getCommodityPrice() {
		return commodityPrice;
	}

	public void setCommodityPrice(String commodityPrice) {
		this.commodityPrice = commodityPrice;
	}

	public String getSpecialComment() {
		return specialComment;
	}

	public void setSpecialComment(String specialComment) {
		this.specialComment = specialComment;
	}

	@Override
	public String toString() {
		return "managerListBo{" +
				"id='" + id + '\'' +
				", taskDistributionTime='" + taskDistributionTime + '\'' +
				", provinceName='" + provinceName + '\'' +
				", depName='" + depName + '\'' +
				", salesmanName='" + salesmanName + '\'' +
				", contractNo='" + contractNo + '\'' +
				", orderNo='" + orderNo + '\'' +
				", UserName='" + UserName + '\'' +
				", cname='" + cname + '\'' +
				", commodityName='" + commodityName + '\'' +
				", commodityQuantity='" + commodityQuantity + '\'' +
				", techDepName='" + techDepName + '\'' +
				", techName='" + techName + '\'' +
				", projectStatusName='" + projectStatusName + '\'' +
				", projectStatus='" + projectStatus + '\'' +
				", commodityPrice='" + commodityPrice + '\'' +
				", specialComment='" + specialComment + '\'' +
				", approval=" + approval +
				", type='" + type + '\'' +
				", typeExplain='" + typeExplain + '\'' +
				'}';
	}
}
